Skip to main content
GET
List prompts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

fqn
string

Fully qualified name to filter prompts by (format: 'chat_prompt:{tenant_name}/{ml_repo_name}/{prompt_name}')

ml_repo_id
string

ID of the ML Repo to filter prompts by

name
string

Name of the prompt to filter by

offset
integer
default:0

Number of prompts to skip for pagination

limit
integer

Maximum number of prompts to return

include_empty_prompts
boolean
default:true

Whether to include prompts that have no versions

Response

List of prompts matching the query with pagination information

data
Prompt · object[]
required

List of prompts matching the query

pagination
Pagination · object
required

Pagination information including total count, offset, and limit